Page MenuHomePhabricator

Broadcast Differential activity to IRC
Closed, DeclinedPublic

Description

People have started using Differential for actual work now (c.f. T94167#1746714), but there are no IRC notifications, reducing visibility.

Event Timeline

Legoktm created this task.Oct 22 2015, 9:51 PM
Legoktm raised the priority of this task from to Unbreak Now!.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Differential.
Legoktm added subscribers: Legoktm, greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 9:51 PM
greg renamed this task from Differential activity is not broadcast to IRC to Broadcast Differential activity to IRC.Oct 22 2015, 9:53 PM
greg lowered the priority of this task from Unbreak Now! to Medium.
greg updated the task description. (Show Details)
greg set Security to None.
Krenair added a subscriber: Krenair.

What visibility is there right now? How would I have known that scap3 moved to differential if I didn't see the bug comment on IRC?

greg added a comment.Oct 22 2015, 11:50 PM

The commit logs, for one. The task comments/links also.

The commit logs, for one.

I'd like to know about changes *before* they're merged :)

The task comments/links also.

Do you mean like T109513#1726941? That doesn't send notifications to IRC either AFAIS.

greg added a comment.Oct 23 2015, 12:06 AM

Never said it did (send notifications to irc) ;) . It's OK, it'll be fixed
:)

greg added a comment.Oct 23 2015, 12:17 AM

Also, fwiw, you can still use Gerrit for scap dev, the scap3 team is just dogfooding differential to find the things we don't yet know. (don't take as excuse, just giving more info)

https://phabricator.wikimedia.org/feed/query/all/ shows differential stories. That's where wikibugs gets it's data so presumably it could easily be modified to notify IRC about differential stories. It's probably just filtering them out right now for no good reason at all.

greg moved this task from To Triage to Backlog on the Differential board.Nov 4 2015, 7:04 PM
demon added a subscriber: demon.Nov 5 2015, 10:19 PM

wikibugs code is scary. that is all.

demon added a comment.Nov 5 2015, 10:21 PM

Also, fwiw, you can still use Gerrit for scap dev, the scap3 team is just dogfooding differential to find the things we don't yet know. (don't take as excuse, just giving more info)

Not anymore, this just came up again on IRC, we should probably get this done sooner rather than later.

I started looking at adding differential support to wikibugs, the main blocker is a lack of transaction data which is currently provided by the maniphest.gettasktransactions endpoint.

greg moved this task from To Triage to Tooling on the Gerrit-Migration board.Dec 1 2015, 4:37 PM
greg changed the task status from Open to Stalled.Feb 23 2016, 10:23 PM
Paladox added a subscriber: Paladox.May 9 2016, 7:56 PM
mmodell changed the task status from Stalled to Open.Sep 13 2017, 9:52 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 13 2017, 9:52 PM
mmodell claimed this task.Sep 13 2017, 9:52 PM
greg removed mmodell as the assignee of this task.Dec 18 2017, 5:40 PM
mmodell closed this task as Declined.Oct 31 2018, 7:37 PM